import 'package:auto_route/auto_route.dart';
import 'package:flutter/material.dart';
import 'package:router/ext/auto_router_extensions.dart';
import 'package:router/path/router_path.dart';

import '../../modules/community/page/community_page.dart';


part 'community_page_router.gr.dart';

/*\
 * Community组件的路由
 */
@AutoRouterConfig(replaceInRouteName: 'Page|Screen,PageRoute')
class CommunityPageRouter extends _$CommunityPageRouter {
  @override
  List<AutoRoute> get routes => [

    CustomRoute(page: CommunityPageRoute.page, path: RouterPath.community, transitionsBuilder: applySlideTransition),
  ];
}
