import 'package:auto_route/auto_route.dart';
import 'package:flutter/material.dart';
import 'package:router/ext/auto_router_extensions.dart';
import 'package:router/path/router_path.dart';

import '../../modules/payment/page/payment_page.dart';


part 'payment_page_router.gr.dart';

/*\
 * Property 模块的路由
 */
@AutoRouterConfig(replaceInRouteName: 'Page|Screen,PageRoute')
class PaymentPageRouter extends _$PaymentPageRouter {
  @override
  List<AutoRoute> get routes => [

    CustomRoute(page: PaymentPageRoute.page, path: RouterPath.payment, transitionsBuilder: applySlideTransition),
  ];
}
