import 'package:auto_route/auto_route.dart';
import 'package:flutter/material.dart';
import 'package:router/ext/auto_router_extensions.dart';
import 'package:router/path/router_path.dart';

import '../../modules/profile_edit/page/Profile_edit_page.dart';


part 'profile_page_router.gr.dart';

/*\
 * Profile模块路由
 */
@AutoRouterConfig(replaceInRouteName: 'Page|Screen,PageRoute')
class ProfilePageRouter extends _$ProfilePageRouter {
  @override
  List<AutoRoute> get routes => [

    CustomRoute(page: ProfileEditPageRoute.page, path: RouterPath.profileEdit, transitionsBuilder: applySlideTransition),
  ];
}
