import 'package:auto_route/auto_route.dart';
import 'package:flutter/material.dart';
import 'package:router/ext/auto_router_extensions.dart';
import 'package:router/path/router_path.dart';

import '../../modules/services/page/services_page.dart';


part 'services_page_router.gr.dart';

/*\
 * Form模块的路由
 */
@AutoRouterConfig(replaceInRouteName: 'Page|Screen,PageRoute')
class ServicesPageRouter extends _$ServicesPageRouter {
  @override
  List<AutoRoute> get routes => [

    CustomRoute(page: ServicesPageRoute.page, path: RouterPath.services, transitionsBuilder: applySlideTransition),
  ];
}
